package Audio;

import com.sun.jna.Library;
import com.sun.jna.Native;
import com.sun.jna.Pointer;

import Audio.BassEnc.ENCODEPROCEX;

/**
 * BASS Encoder MP3 plugin
 * Must load together with BassEncLibrary
 * @author rdkartono
 *
 */
@SuppressWarnings("unused")
public interface BassEncMP3 extends Library{
	BassEncMP3 Instance = Native.load("bassenc_mp3",BassEncMP3.class);
	
	int BASS_Encode_MP3_GetVersion();

	int BASS_Encode_MP3_Start(int handle, String options, int flags, ENCODEPROCEX proc, Pointer user);
	int BASS_Encode_MP3_StartFile(int handle, String options, int flags, String filename);
}
